Subject: Re: Choices of 2.4 Kernel for PPC

From: Theo Gjaltema <[email-masked]>
Date: Sun, 03 Sep 2006 13:07:03 +0200

Stephen Williams schreef:
> I'd been using the BK tree (I know, old old) but it's been stable
> for me for a while. But I'm starting to see so problems and I want
> to work with a recent kernel tree. I'm using a PPC405GPr processor.
>
> I downloaded the linux-2.4.32 tree from kernel.org, but it has
> none of the Xilinx stuff so I immediately wonder about other things
> it lacks for embedded PPC.
>
> I downloaded the linux 2.4 .git tree from Denx, but the makefile
> in top says it's based on 2.4.25, which is even older then what
> I've got now.
>
> I've looked on the penguinppc.org page, but it points me back
> to the kernel.org distribution and possibly the bk repository.
> Hmm...
>
> So what tree is most universally accepted as current so far as
> embedded PPC goes? And can the penguinppc.org pages be updated
> to reflect the consensus?
>   
I've run into the same problems with the kernel.org version of the linux 
kernel 2.4.32.
the fec_enet module for the ppc was 0.3 instead of 0.4 (denx 2.4.25) and 
the config.in file did not contain any of the physical driver info.
Apart from this the generated kernel crashed when accessing the flash, 
this worked fine in the denx 2.4.25 kernel as well.
We decided that the kernel.org 2.4.32 is not suitable for the ppc and 
stick to the 2.4.25 version as present in the ELDK3.1.1.

Succes,
   Theo Gjaltema.